﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;

namespace DateTimeEditorDataChangeValidation
{
    public partial class Form1 : Form
    {
        private string previousDateTimeText;
        public Form1()
        {
            InitializeComponent();
        }


        private void ultraButton1_Click(object sender, EventArgs e)
        {

        }

        private void dt_ValueChanged(object sender, EventArgs e)
        {
        }

        private void dtOnExitMode_BeforeExitEditMode(object sender, BeforeExitEditModeEventArgs e)
        {
            Debug.WriteLine("Current Text "+ previousDateTimeText);
            Debug.WriteLine("Date: " + dtOnExitMode.Value);
            if (!DateTime.TryParseExact(previousDateTimeText, "MM/dd/yyyy", CultureInfo.InvariantCulture, DateTimeStyles.None, out DateTime parsed))
            {
                dtOnExitMode.Text = previousDateTimeText;
                e.Cancel = true;

                MessageBox.Show($@"DateTime: {this.dtOnExitMode.Value}\nCurrent Text: {previousDateTimeText}");
            }

        }

       
        private void dtOnExitMode_TextChanged(object sender, EventArgs e)
        {
            previousDateTimeText = dtOnExitMode.Text;
        }
    }
}
